#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gtkspell3
Version		:	3.0.10
Release		:	16.2.0.rel%{?dist}
Summary		:	On-the-fly spell checking for GtkTextView widgets

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://downloads.sourceforge.net
			# http://gtkspell.sourceforge.net/#Downloads

Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	enchant
BuildRequires	:	gettext
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk3+
BuildRequires	:	intltool
BuildRequires	:	iso-codes
BuildRequires	:	vala

Requires	:	iso-codes
#-----------------------------------------------------------------------------
%description
GtkSpell provides word-processor-style highlighting and replacement of
misspelled words in a GtkTextView widget as you type. Right-clicking a
misspelled word pops up a menu of suggested replacements.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS README
%license COPYING
%{_libdir}/girepository-1.0/GtkSpell-3.0.typelib
%{_libdir}/lib%{name}-3.so.*

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

#=============================================================================
%package			devel
Summary		:		Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:		%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description			devel
The %{name}-devel package contains libraries and
header files for developing applications that use
GtkSpell API version 3.0.

#-----------------------------------------------------------------------------
%files				devel
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/
%{_includedir}/gtkspell-3.0/
%{_libdir}/lib%{name}-3.so
%{_libdir}/pkgconfig/%{name}-3.0.pc
%{_datadir}/gir-1.0/GtkSpell-3.0.gir
%{_datadir}/vala/vapi/%{name}-3.0.vapi
%{_datadir}/vala/vapi/%{name}-3.0.deps

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--localstatedir=%{_var}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-vala					\
	--disable-static				\
	


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
make %{_smp_mflags}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR="%{buildroot}"				\
	install

%find_lang	%{name}

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%changelog
